complexType "TradeCashflowsAsserted"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 15 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber??)?, onBehalfOf[0..4]?, asOfDate?, reportContents?, tradeCashflowsId?, tradeIdentifyingItems?, adjustedPaymentDate?, payment*, matchId?, party*, account*
</...>

Content Model Elements (15):

  account,
  adjustedPaymentDate (defined in TradeCashflows.model group),
  asOfDate (defined in TradeCashflowsDefinition.model group),
  correlationId,
  header (defined in NotificationMessage complexType),
  matchId (in tradeCashflowsAsserted),
  onBehalfOf (defined in OnBehalfOf.model group),
  parentCorrelationId,
  party (defined in PartiesAndAccounts.model group),
  payment (defined in TradeCashflows.model group),
  reportContents (defined in TradeCashflowsDefinition.model group),
  sequenceNumber (defined in Sequence.model group),
  tradeCashflowsId (defined in TradeCashflowsDefinition.model group),
  tradeIdentifyingItems (defined in TradeCashflows.model group),
  validation

All Direct / Indirect Based Elements (1):

  tradeCashflowsAsserted

Known Usage Locations

- As direct type of elements (1):
  tradeCashflowsAsserted

Annotation
Message for assertion of payments to be reconciled. Notification message that submits cashflows that need to be reconciled per payment date at the trade level.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) TradeCashflowsAsserted

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="TradeCashflowsAsserted"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:group ref="TradeCashflowsDefinition.model"/> <xsd:group ref="TradeCashflows.model"/> <xsd:element minOccurs="0" name="matchId" type="MatchId"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/15)
matchId

  Type: | MatchId, simple content

  A unique identifier assigned by either party, or matching service, as agreed, to each set of matched cashflows.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="matchId" type="MatchId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.